Bug 1652677 - "Host Groups" menu item changed to "Host Group" [NEEDINFO]
Summary: "Host Groups" menu item changed to "Host Group"
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI   
(Show other bugs)
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Tomer Brisker
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 15:07 UTC by Lukáš Hellebrandt
Modified: 2019-03-18 14:15 UTC (History)
8 users (show)

Fixed In Version: foreman-1.20.1.4-1,foreman-1.20.1.17-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tbrisker: needinfo? (zhunting)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 25538 None None None 2018-11-26 07:53 UTC
Red Hat Bugzilla 1651324 None ON_QA [Subscriptions] "Partition table" string is displayed instead of "Enabled" 2019-03-18 14:11 UTC

Description Lukáš Hellebrandt 2018-11-22 15:07:38 UTC
Description of problem:
Menu item Configure -> Host Groups has been changed to "Host Group" for no obvious reason. The commit with a bad translation is from year 2016 so I have no idea how that happened only for 6.5. However, it seems incorrect, given that the other items are in plural and there seems to be no tracker for this change.

Version-Release number of selected component (if applicable):
Reproduced on 6.5 snap 3.

Additional info:
Discussed this with Ondra who already has a fix.

Comment 1 Mirosław Zalewski 2018-11-22 15:33:40 UTC
I believe this and Bug 1651324 share the same root cause. Adding the other one to tracker - they aren't strictly duplicates, but solving one will hopefully solve another.

Ondra, Lukas:
as you have discussed it and have fix already, can you share how you will fix it and how this happened?
Since source of bad translation seems to be file last updated 2 years ago, I'm afraid something in our build pipeline might be broken. That would be very serious issue that could cause hard to discover bugs in many unrelated parts of Satellite. Can we rule that out?

Comment 2 Lukáš Hellebrandt 2018-11-22 15:39:36 UTC
I don't know a lot about the issue but:

1) msgid="Host Groups"
2) msgstr="Host Group"
3) Vertical navigation has been somehow reworked lately (source: mhulan).

=> I suppose the old one used msgid while the other uses (imo correctly) msgstr. But again, this might not be true at all.

Comment 3 Marek Hulan 2018-11-22 17:37:18 UTC
I don't know how that happened, but most likely this is unrelated to vert nav change that dropped HTML id attributes. This look more like a clash between upstream/downstream translations? Perhaps Eric or someone from his team knows, when and how we pull translation files during the build.

Comment 4 Ondřej Pražák 2018-11-26 07:53:51 UTC
Connecting redmine issue http://projects.theforeman.org/issues/25538 from this bug

Comment 8 pm-sat@redhat.com 2018-12-31 15:05:41 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 9 pm-sat@redhat.com 2018-12-31 15:05:42 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 10 Bryan Kearney 2019-01-07 21:12:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25538 has been resolved.

Comment 14 Lukáš Hellebrandt 2019-02-01 11:14:25 UTC
FailedQA on Sat 6.5 snap 13.

The text is still "Host Group".

Comment 16 Lukáš Hellebrandt 2019-03-18 14:15:24 UTC
Verified with Sat 6.5 snap 20.

The menu item now says "Host Groups".


Note You need to log in before you can comment on or make changes to this bug.